#!/usr/bin/wish
##########################################
#                                        #
#      TOPD-fMtS version 1.0  2007 URV  #
#      http://genomes.urv.cat/topd       #
#      (August 2006)                     #
#                                        #
#      Author: Pere Puigbo               #
#      E-mail: ppuigbo@urv.net           #
#                                        #
#                                        #
##########################################
# Crea una ventana negra 
. config -bg black 

# Capalera del programa
frame .title -bd 4 -relief groove 
pack .title -padx 1 -pady 1 -side top

   	set img [image create photo -height 90 -width 40 -file img/icone.gif] 
    	label .title.lb1 -image $img
   	pack .title.lb1 -padx 2m -pady 2m -side left 

	label .title.cap -text "TOPD-fMtS version 1.0\n\nP.Puigb  2007 URV\nppuigbo@urv.cat\nhttp://genomes.urv.cat/topd"  -height 5 -width 30
	pack  .title.cap  -padx 2m -pady 2m -side top
	

#Frame principal
frame .princ0 -bd 2 -relief groove 
pack .princ0 -side top -padx 2m -pady 2m

	#######################################################################################################################
	# Nom del fitxer
	label .princ0.file -text "INPUT FILE (-f)" -height 1 -width 50
	pack .princ0.file -side top -padx 2m -pady 2m

	button .princ0.control -text Browse -command { set file [tk_getOpenFile]}
	pack .princ0.control -padx 1 -pady 1 -side left
	
	entry .princ0.e1 -width 50 -textvariable file -bg white
	pack .princ0.e1 -side left

#Frame principal
frame .princ -bd 2 -relief groove 
pack .princ -side top -padx 2m -pady 2m

	########################################################################################################################
	# Frame methods
	frame .princ.method -bd 2 -relief groove 
	pack .princ.method -side left -padx 2m -pady 2m
	
	# Labels Methods
	label .princ.method.l1 -text "METHODS (-m)" 
	pack .princ.method.l1 -side top 
	
	radiobutton .princ.method.m1 -text Nodal -variable method -value nodal
	radiobutton .princ.method.m2 -text Split -variable method -value split
	radiobutton .princ.method.m3 -text Quartets -variable method -value quartets
	radiobutton .princ.method.m4 -text Triplets -variable method -value triplets
	radiobutton .princ.method.m5 -text Disagree -variable method -value disagree
	radiobutton .princ.method.m6 -text All -variable method -value All
	pack .princ.method.m1 .princ.method.m2 .princ.method.m3 .princ.method.m4 .princ.method.m5 .princ.method.m6 -padx 1 -pady 1 -side top -side top -anchor w

	set method split

	########################################################################################################################
	# Frame random
	frame .princ.random -bd 2 -relief groove 
	pack .princ.random -side left -anchor n -padx 2m -pady 2m
	
	# Labels Methods
	label .princ.random.l1 -text "RANDOM (-r)"
	pack .princ.random.l1 -side top 
	
	radiobutton .princ.random.m1 -text Random -variable random -value random 
	radiobutton .princ.random.m2 -text Guided -variable random -value guided
	radiobutton .princ.random.m3 -text No -variable random -value no
	pack .princ.random.m1 .princ.random.m2 .princ.random.m3 -padx 1 -pady 1 -side top -anchor w

	set random "random"

	# Labels number random trees
	label .princ.random.l2 -text "\nNUMBER OF RANDOM TREES (-n)\n1-100"
	pack .princ.random.l2 -side top 

	entry .princ.random.e1 -width 10 -textvariable number -bg white
	pack .princ.random.e1 -side top

	set number 100

	########################################################################################################################
	# Frame disagree
	frame .princ.disagree -bd 2 -relief groove 
	pack .princ.disagree -side left -anchor n -padx 2m -pady 2m
	
	# Labels Methods
	label .princ.disagree.l1 -text "DISAGREE LEVELS (-l)"
	pack .princ.disagree.l1 -side top 
	
	radiobutton .princ.disagree.m1 -text 1 -variable disagree -value 1 
	radiobutton .princ.disagree.m2 -text 2 -variable disagree -value 2
	radiobutton .princ.disagree.m3 -text 3 -variable disagree -value 3
	radiobutton .princ.disagree.m4 -text 4 -variable disagree -value 4
	pack .princ.disagree.m1 .princ.disagree.m2 .princ.disagree.m3 .princ.disagree.m4 -padx 1 -pady 1 -side top -anchor w

	set disagree "1"



	
#Frame principal
frame .princ2 -bd 2 -relief groove 
pack .princ2 -side top -padx 2m -pady 2m

	########################################################################################################################
	# Frame comparison
	frame .princ2.tipus -bd 2 -relief groove 
	pack .princ2.tipus -side left -anchor n -padx 2m -pady 2m
	
	# Labels comparison
	label .princ2.tipus.l1 -text "TYPE OF COMPARISON (-c)"
	pack .princ2.tipus.l1 -side top 
	
	radiobutton .princ2.tipus.m1 -text Single -variable tipus -value single
	radiobutton .princ2.tipus.m2 -text Multiple -variable tipus -value multiple
	radiobutton .princ2.tipus.m3 -text Reference -variable tipus -value reference
	pack .princ2.tipus.m1 .princ2.tipus.m2 .princ2.tipus.m3 -padx 1 -pady 1 -side top -anchor w

	set tipus "single"

	########################################################################################################################
	# Frame print
	frame .princ2.print -bd 2 -relief groove 
	pack .princ2.print -side left -anchor n -padx 2m -pady 2m

	# Labels print
	label .princ2.print.l1 -text "PRINT (-p)"
	pack .princ2.print.l1 -side top 
	
	radiobutton .princ2.print.m1 -text Yes -variable print -value yes
	radiobutton .princ2.print.m2 -text No -variable print -value no
	pack .princ2.print.m1 .princ2.print.m2 -padx 1 -pady 1 -side top -anchor w

	set print "no"

	########################################################################################################################
	# FMTS
	frame .princ2.fmts -bd 2 -relief groove 
	pack .princ2.fmts  -side top -anchor n -padx 2m -pady 2m

	label .princ2.fmts.file -text "Number of fMtS trees (-s)" -height 1 -width 25
	pack .princ2.fmts.file -side top -padx 2m -pady 2m
	label .princ2.fmts.file2 -text "1-10000/all" -height 1 -width 25
	pack .princ2.fmts.file2 -side top -padx 2m -pady 2m

	entry .princ2.fmts.e1 -width 10 -textvariable fmts -bg white
	pack .princ2.fmts.e1 -side top

	set fmts 100

# Executar el programa
frame .exe -bd 2 -relief groove 
pack .exe  -padx 1 -pady 1 -side bottom

button .exe.control -text Exit -command {exit}
pack .exe.control -padx 1 -pady 1 -side left

button .exe.topd -text "Execute topd" -command {
	tk_messageBox -icon info -message "Please be patient, this process may take several minutes.\nClick OK to proceed."
	exec perl scr/topd_v1.0.pl -f $file -m $method -r $random -l $disagree -n $number -c $tipus -p $print -s $fmts > out
	tk_messageBox -icon info -message "Done.\nThanks for using TOPD-fMtS."
} 
pack .exe.topd -padx 1 -pady 1 -side bottom









